first_n.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/seq/detail/split.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_FIRST_N(n, seq) MSGPACK_PP_SEQ_FIRST_N_I(n, seq)
#define | MSGPACK_PP_SEQ_FIRST_N_I(n, seq) MSGPACK_PP_IF(n, MSGPACK_PP_TUPLE_ELEM, MSGPACK_PP_TUPLE_EAT_3)(2, 0, MSGPACK_PP_SEQ_SPLIT(n, seq (nil)))

## Macro Definition Documentation

## MSGPACK_PP_SEQ_FIRST_N

#define MSGPACK_PP_SEQ_FIRST_N | ( |  | n,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_FIRST_N_I(n, seq)

## MSGPACK_PP_SEQ_FIRST_N_I

#define MSGPACK_PP_SEQ_FIRST_N_I | ( |  | n,
|  |  | seq
| ) |  | MSGPACK_PP_IF(n, MSGPACK_PP_TUPLE_ELEM, MSGPACK_PP_TUPLE_EAT_3)(2, 0, MSGPACK_PP_SEQ_SPLIT(n, seq (nil)))